curator-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CURATOR-425) Create ZooKeeper 3.4.x compatibility mode for master branch (Curator 3.x)
Date Thu, 20 Jul 2017 20:11:00 GMT

    [ https://issues.apache.org/jira/browse/CURATOR-425?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16095288#comment-16095288
] 

ASF GitHub Bot commented on CURATOR-425:
----------------------------------------

Github user Randgalt commented on a diff in the pull request:

    https://github.com/apache/curator/pull/230#discussion_r128618477
  
    --- Diff: curator-test-zk34/README.md ---
    @@ -0,0 +1,11 @@
    +# ZooKeeper 3.4 Compatibility
    +
    +Apache Curator 4.0 adds best-effort backward compatibility for ZooKeeper 3.4 ensembles
and the ZooKeeper 3.4 library/JAR. This module, `curator-test-zk34`, exists to run the standard
Curator tests using ZooKeeper 3.4. It does this via Maven. In the curator-test-zk34 pom.xml:
    +
    +- The Curator modules framework and recipes libraries are included - both main and test
JARs - but the ZooKeeper dependency is excluded (otherwise ZooKeeper 3.5.x would be brought
in)
    +- The curator-test module is included but as version 2.12.0 which brings in ZooKeeper
3.4.8
    --- End diff --
    
    Which part confuses you?


> Create ZooKeeper 3.4.x compatibility mode for master branch (Curator 3.x)
> -------------------------------------------------------------------------
>
>                 Key: CURATOR-425
>                 URL: https://issues.apache.org/jira/browse/CURATOR-425
>             Project: Apache Curator
>          Issue Type: Task
>          Components: Client, Documentation, Framework, General, Recipes, Tests, Website
>    Affects Versions: 3.3.0, 2.12.0
>            Reporter: Jordan Zimmerman
>            Assignee: Jordan Zimmerman
>             Fix For: 4.0.0
>
>
> Maintaining the CURATOR-2.0 branch is becoming untenable. Investigate if it's possible
to have a version of Curator 3.x that works with both ZooKeeper 3.5.x and ZooKeeper 3.4.x



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message